> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new report generation job

> Creates a new report generation job for exporting AgentCalls data. The report is generated asynchronously.



## OpenAPI

````yaml post /api/v1/reports
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/reports:
    post:
      tags:
        - Reports
      summary: Create a new report generation job
      description: >-
        Creates a new report generation job for exporting AgentCalls data. The
        report is generated asynchronously.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: object
                  properties:
                    callEndedReasons:
                      type: array
                      items:
                        type: string
                        enum:
                          - COULD_NOT_CONNECT
                          - NO_ANSWER
                          - LEFT_VOICEMAIL
                          - VOICEMAIL_DETECTED
                          - SILENCE_TIMEOUT
                          - BAD_NUMBER
                          - NOT_INTERESTED
                          - WARM_TRANSFER
                          - WARM_TRANSFER_FAILED
                          - CALENDLY
                          - DNC
                          - ENDED
                          - FRAUD
                          - LINE_BUSY
                          - TEXT_CONSENT
                          - CALL_AGAIN
                    startCallStartedAt:
                      type: string
                      format: date-time
                    endCallStartedAt:
                      type: string
                      format: date-time
                  default: {}
      responses:
        '202':
          description: Report generation job created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  organizationId:
                    type: string
                  status:
                    type: string
                    enum:
                      - PENDING
                      - PROCESSING
                      - COMPLETED
                      - FAILED
                  type:
                    type: string
                    enum:
                      - AGENT_CALLS
                  filters:
                    type: object
                    properties:
                      callEndedReasons:
                        type: array
                        items:
                          type: string
                          enum:
                            - COULD_NOT_CONNECT
                            - NO_ANSWER
                            - LEFT_VOICEMAIL
                            - VOICEMAIL_DETECTED
                            - SILENCE_TIMEOUT
                            - BAD_NUMBER
                            - NOT_INTERESTED
                            - WARM_TRANSFER
                            - WARM_TRANSFER_FAILED
                            - CALENDLY
                            - DNC
                            - ENDED
                            - FRAUD
                            - LINE_BUSY
                            - TEXT_CONSENT
                            - CALL_AGAIN
                      startCallStartedAt:
                        type: string
                        format: date-time
                      endCallStartedAt:
                        type: string
                        format: date-time
                  fileKey:
                    type: string
                    nullable: true
                  rowCount:
                    type: number
                    nullable: true
                  errorMessage:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  completedAt:
                    type: string
                    nullable: true
                required:
                  - id
                  - organizationId
                  - status
                  - type
                  - filters
                  - fileKey
                  - rowCount
                  - errorMessage
                  - createdAt
                  - updatedAt
                  - completedAt
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````